• Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Liutauras Vilda
  • Jeanne Boyarsky
  • Devaka Cooray
  • Paul Clapham
Sheriffs:
  • Tim Cooke
  • Knute Snortum
  • Bear Bibeault
Saloon Keepers:
  • Ron McLeod
  • Tim Moores
  • Stephan van Hulst
  • Piet Souris
  • Ganesh Patekar
Bartenders:
  • Frits Walraven
  • Carey Brown
  • Tim Holloway

Apache POI 3.7 - HSSFRow incompatible with Row

 
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I'm developping an application using poi-3.7-20101029 to simply read an XLS file. Here's the code snippet:



When I execute this code I'm getting the following error :



I don't see how I can get a class cast exception as I'm obviously using the correct types... I've already checked that I don't have different version of poi in my project, I've cleaned my project, restarted my AS but no success :-(
Does anyone has any idea about what could be causing this issue?

I'm using IBM WSAD as an IDE with Java 5.0, deploying the app on WAS 6.1

Many thanks !
 
Mehdi Singer
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

This is my mistake. I was checking for an older version of poi inside my classpath but there was an (let's say) hidden version of poi in my META-INF/lib folder...

Executing the following code showed me the problem :


Shame on me

Thanks !
 
It is sorta covered in the JavaRanch Style Guide.
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!